Package com.independentsoft.office.spreadsheet.drawing

# Class StartAnchorPoint

java.lang.Object
com.independentsoft.office.spreadsheet.drawing.StartAnchorPoint

public class StartAnchorPoint extends Object
The Class StartAnchorPoint.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StartAnchorPoint()`
  Instantiates a new start anchor point.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StartAnchorPoint`
  `clone()`
  `int`
  `getColumn()`
  Gets the column.
  `Unit`
  `getColumnOffset()`
  Gets the column offset.
  `int`
  `getRow()`
  Gets the row.
  `Unit`
  `getRowOffset()`
  Gets the row offset.
  `void`
  `setColumn​(int column)`
  Sets the column.
  `void`
  `setColumnOffset​(Unit columnOffset)`
  Sets the column offset.
  `void`
  `setRow​(int row)`
  Sets the row.
  `void`
  `setRowOffset​(Unit rowOffset)`
  Sets the row offset.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StartAnchorPoint

    public StartAnchorPoint()
    Instantiates a new start anchor point.

- ## Method Details

  - ### clone

    public StartAnchorPoint clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getColumn

    public int getColumn()
    Gets the column.
    Returns:
      the column

  - ### setColumn

    public void setColumn​(int column)
    Sets the column.
    Parameters:
      `column` - the new column

  - ### getRow

    public int getRow()
    Gets the row.
    Returns:
      the row

  - ### setRow

    public void setRow​(int row)
    Sets the row.
    Parameters:
      `row` - the new row

  - ### getColumnOffset

    public Unit getColumnOffset()
    Gets the column offset.
    Returns:
      the column offset

  - ### setColumnOffset

    public void setColumnOffset​(Unit columnOffset)
    Sets the column offset.
    Parameters:
      `columnOffset` - the new column offset

  - ### getRowOffset

    public Unit getRowOffset()
    Gets the row offset.
    Returns:
      the row offset

  - ### setRowOffset

    public void setRowOffset​(Unit rowOffset)
    Sets the row offset.
    Parameters:
      `rowOffset` - the new row offset